/*
 * IBM Confidential OCO Source Material
 *
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U. S. Copyright Office.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
//submit the form to populate properties
function loadProperties(){
  document.forms[0].action='editItemType.do?method=initiateEdit';
  document.forms[0].submit();
  
}
function addMoreProperties(actionName){
  var form = document.itemTypeForm;
  form.addMoreProps.value = 'Y';
  form.action=actionName;
  form.submit();
  return false;
}

function deleteItemType(){
  var form = document.itemTypeForm;
  form.isDeleted.value = 'Y';
  form.action='editItemType.do?method=Delete';
  form.submit();
}
function disableEnableLength(selection){
  var ind = selection.name.slice(selection.name.indexOf('[')+1,selection.name.indexOf(']'));
  var myVal= selection.options[selection.selectedIndex].value
  if(myVal !=1){
  	document.itemTypeForm['propsList['+ ind +'].minLength'].disabled=true;
  	document.itemTypeForm['propsList['+ ind +'].maxLength'].disabled=true;
  }else{
  	document.itemTypeForm['propsList['+ ind +'].minLength'].disabled=false;
  	document.itemTypeForm['propsList['+ ind +'].maxLength'].disabled=false;
  }
}

function disableEnableMandatory(field){
	if(!isEmptyStr(document.getElementById(field.name).value)){
		var ind = field.name.slice(field.name.indexOf('[')+1,field.name.indexOf(']'));
		document.getElementById('keyMandatory_'+ind).style.display ='';
		document.getElementById('mandatoryDType_'+ind).style.display = '';
	}
}

function removeProps(){
	var form = document.itemTypeForm;
	
	form.action='editItemType.do?method=View';
	
	form.submit();
}

function getEpcPackTypes() {
	var epcProfile = dwr.util.getValue("label.epcProfile");
	// Need to get existing selection, if any, for EPC Pack Type before removing options.
	var epcPackType = dwr.util.getValue("label.epcPackType");
	if (isEmptyStr(epcProfile)) {
		// EPC Profile selection has not been made. This must occur before EPC Pack Types can be displayed.
		dwr.util.removeAllOptions("label.epcPackType");
		dwr.util.addOptions("label.epcPackType", [{name:message_itemType_selectEpcProfileFirst, id:''}], 'id', 'name');
	}
	else {
		// EPC Profile selection has been made. EPC Pack Types can be retrieved.
		ItemTypeAction.getEpcPackTypes(epcProfile, function(epcPackTypes) {
			dwr.util.removeAllOptions("label.epcPackType");
			if (epcPackTypes.length == 0) {
				// There are no EPC Pack Types available for the EPC Profile.
				dwr.util.addOptions("label.epcPackType", [{name:message_itemType_noneAvailable, id:''}], 'id', 'name');
			}
			else {
				// EPC Pack Types are available for the EPC Profile.
				// Keep existing EPC Pack Type selection, if one exists.
				if (isEmptyStr(epcPackType)) {
					// EPC Pack Type selection has not been made.
					epcPackType = message_itemType_selectOne;
					dwr.util.addOptions("label.epcPackType", [{name:message_itemType_selectOne, id:''}], 'id', 'name');
				}
				dwr.util.addOptions("label.epcPackType", epcPackTypes);
				dwr.util.setValue("label.epcPackType", epcPackType);
			}
		});
	}
}

function getEpcSerialNumberConfigurationDiscriminators() {
	var epcSerialNumberConfiguration = dwr.util.getValue("label.epcSerialNumberConfiguration");
	// Need to get existing selection, if any, for Discriminator before removing options.
	var epcSerialNumberConfigurationDiscriminator = dwr.util.getValue("label.epcSerialNumberConfigurationDiscriminator");
	if (isEmptyStr(epcSerialNumberConfiguration)) {
		// Serial Number Configuration selection has not been made. This must occur before Discriminators can be displayed.
		dwr.util.removeAllOptions("label.epcSerialNumberConfigurationDiscriminator");
		dwr.util.addOptions("label.epcSerialNumberConfigurationDiscriminator", [{name:message_itemType_selectSerialNumberConfigurationFirst, id:''}], 'id', 'name');
	}
	else {
		// Serial Number Configuration selection has been made. Discriminators can be retrieved.
		ItemTypeAction.getEpcSerialNumberConfigurationDiscriminators(epcSerialNumberConfiguration, function(epcSerialNumberConfigurationDiscriminators) {
			dwr.util.removeAllOptions("label.epcSerialNumberConfigurationDiscriminator");
			if (epcSerialNumberConfigurationDiscriminators.length == 0) {
				// There are no Discriminators available for the Serial Number Configuration.
				dwr.util.addOptions("label.epcSerialNumberConfigurationDiscriminator", [{name:message_itemType_noneAvailable, id:''}], 'id', 'name');
			}
			else {
				// Discriminators are available for the Serial Number Configuration.
				// Keep existing Discriminator selection, if one exists.
				if (isEmptyStr(epcSerialNumberConfigurationDiscriminator)) {
					// Discriminator selection has not been made.
					epcSerialNumberConfigurationDiscriminator = message_itemType_selectOne;
					dwr.util.addOptions("label.epcSerialNumberConfigurationDiscriminator", [{name:message_itemType_selectOne, id:''}], 'id', 'name');
				}
				dwr.util.addOptions("label.epcSerialNumberConfigurationDiscriminator", epcSerialNumberConfigurationDiscriminators);
				dwr.util.setValue("label.epcSerialNumberConfigurationDiscriminator", epcSerialNumberConfigurationDiscriminator);
			}
		});
	}
}
